Show / Hide Table of Contents

# Delegate PluginInitInjector.InjectParameter

A typed injector for a plugin's Init method. When registered, called for all associated types. If it returns null, the default for the type will be used.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate object InjectParameter(object previous, ParameterInfo param, PluginMetadata meta);

##### Parameters

Type | Name | Description
--- | --- | ---
Object | previous | the previous return value of the function, or null if never called for plugin.
ParameterInfo | param | the ParameterInfo of the parameter being injected.
PluginMetadata | meta | the PluginMetadata for the plugin being loaded.

##### Returns

Type | Description
--- | ---
Object | the value to inject into that parameter.

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])